Bug 52866 - /proc/cpuinfo reports wrong info on unplugged thinkpad
/proc/cpuinfo reports wrong info on unplugged thinkpad
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 01:56 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 14:09:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-30 01:56:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
When the laptop boots while unplugged, the wrong info ends up in
/proc/cpuinfo.  It reports CPU speeds at low as 187 mhz. It is not
consistent in the cpu speed it reports when it boots unplugged. When the
machine is plugged in and you boot, it reports a cpu speed around 1ghz. The
information in cpuinfo isn't updated if you plug or unplug the machine
while running.  When the kernel thought it was on a 186 mhz machine it was
running VERY slow, which is why I noticed this, I thought something was
broken in mozilla or x.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.unplug laptop
2.reboot
3.check funky speed in /proc/cpuinfo
	

Actual Results:  current output of /proc/cpuinfo:
processor
: 0
vendor_id
: GenuineIntel
cpu family	: 6
model
	: 8
model name	: Pentium III (Coppermine)
stepping
: 10
cpu MHz		: 697.419
cache size	: 256 KB
fdiv_bug
: no
hlt_bug
	: no
f00f_bug
: no
coma_bug
: no
fpu
	: yes
fpu_exception
: yes
cpuid level	: 2
wp
	: yes
flags
	: fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx
fxsr sse
bogomips
: 1392.64



Expected Results:  I would expect the actual processor speed to be
reported, ie ~1000 when plugged in, and slower otherwise, but I wouldn't
expect it to go as low as 187.  This affects the performance of the machine
very badly, and I thought something in roswell or X was very broken.


Additional info:

I upgraded to roswell 2 from a 7.1 install.
The machine is a A22m.256M RAM.
Comment 1 Arjan van de Ven 2001-08-30 03:53:47 EDT
Did something like this happen with 7.1 as well ?
Comment 2 Need Real Name 2001-09-06 13:09:39 EDT
Yes, I put in the hard drive that had 7.1 in it, and I did indeed see the same
behavior.   I had installed the kernel upgrade patch, however, the
kernel-2.4.3-12.i686.rpm package.
Comment 3 Alan Cox 2003-06-06 14:09:30 EDT
For older laptops this is out of our hands (you'd need to know magic bios
extensions) for newer stuff Red Hat 9 includes support for CPU scaling where we
have info.

Note You need to log in before you can comment on or make changes to this bug.